# InstanceAwareResolver

abstract class InstanceAwareResolver < M : Member , T : Any >(val self: M ) : MemberResolver < M , T >

Base instance aware class for resolving member M.

T to specify the declaring class type of the member.

#### Parameters

self

the member to be resolved.

#### Inheritors

FieldResolver
MethodResolver

## Constructors

InstanceAwareResolver
Link copied to clipboard
constructor(self: M )

## Properties

self
Link copied to clipboard
open override val self : M

## Functions

asResolver
Link copied to clipboard
fun MemberResolver <*, *>. asResolver (): MemberResolver <*, *>

This is a fake function call chains to avoid internal calls to themselves.

copy
Link copied to clipboard
abstract fun copy (): MemberResolver < M , T >

Create a copy of this resolver.

of
Link copied to clipboard
abstract fun of (instance: T ?): InstanceAwareResolver < M , T >

Set the instance of self.